<?php
class BillingService {

    public static function ativarPlano($pdo, $usuarioId, $planoId) {
        $pdo->prepare("
            UPDATE usuarios SET plano_id=? WHERE id=?
        ")->execute([$planoId, $usuarioId]);

        $pdo->prepare("
            INSERT INTO assinaturas 
            (usuario_id, plano_id, data_inicio, status)
            VALUES (?, ?, CURDATE(), 'ativo')
        ")->execute([$usuarioId, $planoId]);
    }
}
